Show / Hide Table of Contents

# Class OpenIddictServerHandlers.CreateAccessTokenEntry

Contains the logic responsible of creating an access token entry. Note: this handler is not used when the degraded mode is enabled.

##### Inheritance

System.Object
OpenIddictServerHandlers.CreateAccessTokenEntry

##### Implements

IOpenIddictServerHandler<ProcessSignInContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class CreateAccessTokenEntry : IOpenIddictServerHandler<ProcessSignInContext>

### Constructors

#### CreateAccessTokenEntry()

##### Declaration

    public CreateAccessTokenEntry()

#### CreateAccessTokenEntry(IOpenIddictApplicationManager, IOpenIddictTokenManager)

##### Declaration

    public CreateAccessTokenEntry(IOpenIddictApplicationManager applicationManager, IOpenIddictTokenManager tokenManager)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictApplicationManager | applicationManager |
IOpenIddictTokenManager | tokenManager |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ProcessSignInContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ProcessSignInContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ProcessSignInContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>